/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "conf.h"
#include "level.h"
#include "player.h"
#include <gint/display.h>
#include <libimg.h>

extern struct Level level;

extern img_t const img_player;
extern bopti_image_t const bimg_burst;

void player_draw(struct Player player)
{
	img_render_vram(img_player, player.x, player.y);
	if (player.air_state == AirRising &&
	    player.jumps_left < AIR_JUMPS)
		dimage(player.x, player.y + PLAYER_HEIGHT, &bimg_burst);
	dprint(2, 2, C_WHITE, "%d", level.gold);
}
